<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'customer',

    /*
     * Modules.
     */
    'modules'   => ['customer'],

    
    'customer'       => [
        'model' => [
            'model'                 => \Assetdocs\Customer\Models\Customer::class,
            'table'                 => 'customers',
            'presenter'             => \Assetdocs\Customer\Repositories\Presenter\CustomerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'customer/customer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Assetdocs',
            'package'   => 'Customer',
            'module'    => 'Customer',
        ],

    ],
];
