<?php

namespace Assetdocs\Customer;

use User;

class Customer
{
    /**
     * $customer object.
     */
    protected $customer;

    /**
     * Constructor.
     */
    public function __construct(\Assetdocs\Customer\Interfaces\CustomerRepositoryInterface $customer)
    {
        $this->customer = $customer;
    }

    /**
     * Returns count of customer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.customer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->customer->pushCriteria(new \Litepie\Assetdocs\Repositories\Criteria\CustomerUserCriteria());
        }

        $customer = $this->customer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('customer::' . $view, compact('customer'))->render();
    }
}
